Trenton

Members
  • Content count

    7
  • Joined

  • Last visited

About Trenton

  • Rank
    Newbie
  1. Thank you! I did not know they had a discord server though... if only they made it more open that they did. thanks again!
  2. I have been trying to contact system era for a month now and all I got was things from "advanced members" saying I should have this and this and I obviously don't! that is the whole point of me trying to contact you guys. I will send this every day if I don't get any response from someone trying to help. not trying to be a ****, but you guys are being one.
  3. Here is some proof so you have less of a reason to gloss over it again... PLEASE HELP
  4. Guys. Every time I ask about this someone just disregards it and says something along the lines of "if you bought the game before release you should have it" and that does not fix my problem! Can someone please help? I've been waiting for a real response since release! Please help! I talked about this in the 1.0.4 releases and everyone disregarded it. I know it is not important, but if this keeps going later on in the year, I will be completely ignored when I just seem like someone who is begging for a suit! PLEASE IM NOT JOKING I NEED HELP PLEASE do not say I should have it I swear to god
  5. Trenton

    Patch 1.0.9 - March 1, 2019

    ive had the game since the bases weren't moveable and I do NOT have the retro suit!
  6. Trenton

    Patch 1.0.9 - March 1, 2019

    I got a bug where my retro suit which I earned after years of support wasn't available. I did not join during 1.0 but joined during 1.0.4, so that may be the issue. Please fix this!
  7. So, I was playing Astroneer in the 0.10.5 update, waiting for the 1.0 update, so I stopped playing for a while. A while later, I realized it was already the 9th and that I overshot the 1.0 update, so I scrambled to play in my retro suit, only to find it was not there. Naturally, I thought it was a bug and just decided to play anyways. I later played again today, finding no retro suit. So I came here. I did not play in 1.0, but instead played in 1.0.4. If this is not a bug, please explain why I do not have the retro suit like you wonderful game developers promised. Thank you!